Bug 205838 - irq error with kernel blocked the installation of Fedora 6t2 on JS20
irq error with kernel blocked the installation of Fedora 6t2 on JS20
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-08 18:00 EDT by IBM Bug Proxy
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 03:09:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 26581 None None None Never

  None (edit)
Description IBM Bug Proxy 2006-09-08 18:00:34 EDT
LTC Owner is: ameet@us.ibm.com
LTC Originator is: yingtao@cn.ibm.com


Problem description:

when install the JS20 box of Fedora 6t2 with hard disk,there shows the irq error
with kernel when booting, and then during the installation after Enter the
device name of the partition and directory containing the fedora ISO images, the
box hangs,the installation is blocked.

Hardware Environment
    Machine type (p650, x235, SF2, etc.):JS20

Additional information:

This bug is a known bug with kernel 2.6.18-rc,and has been fixed. 

The patch is not on Fedora 6 test2 (2.6.17-1.2517):


       /* If not there, try to insert it */
        virq = irq_find_mapping(host, hwirq);
        if (virq != NO_IRQ)
                radix_tree_insert(tree, virq, &irq_map[virq]);
 bail:
        spin_unlock_irqrestore(&irq_big_lock, flags);
        return virq;

The patch to fix this problem is:

Index: linux-work/arch/powerpc/kernel/irq.c
===================================================================
--- linux-work.orig/arch/powerpc/kernel/irq.c	2006-08-17 09:26:19.000000000 +1000
+++ linux-work/arch/powerpc/kernel/irq.c	2006-08-17 11:27:30.000000000 +1000
@@ -693,7 +693,7 @@ unsigned int irq_radix_revmap(struct irq
 	/* If not there, try to insert it */
 	virq = irq_find_mapping(host, hwirq);
 	if (virq != NO_IRQ)
-		radix_tree_insert(tree, virq, &irq_map[virq]);
+		radix_tree_insert(tree, hwirq, &irq_map[virq]);
  bail:
 	spin_unlock_irqrestore(&irq_big_lock, flags);
 	return virq;
Comment 1 Dave Jones 2006-09-11 03:09:55 EDT
already fixed.
Comment 2 IBM Bug Proxy 2006-09-25 11:43:58 EDT
----- Additional Comments From yingtao@cn.ibm.com  2006-09-25 06:11 EDT -------
Tested with FC 6t3, the irq error when booting is fixed with this distro! 

Note You need to log in before you can comment on or make changes to this bug.